Bug 429390

Summary: domU fails to boot from CD image
Product: [Fedora] Fedora Reporter: Guy Albertelli <galberte>
Component: xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 7CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 22:59:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
serial console log with boot parameter quiet
none
same boot without "quiet" on kernel line none

Description Guy Albertelli 2008-01-18 23:19:11 EST
Attempt to boot domU from ISO image fails with
  ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
  ata1.01: (BMDMA stat 0x5)
  ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x12 data 36 in

The CD ISO is Fedora Live 7 32 bit
DOM 0 is Fedora Core 7 x86_64

RPM levels:
xen-devel-3.1.0-8.fc7
xen-3.1.0-8.fc7
xen-libs-3.1.0-8.fc7
kernel-xen-2.6.21-6.fc7

xm info:
host                   : burger.neo.rr.com
release                : 2.6.21-6.fc7xen
version                : #1 SMP Mon Nov 19 07:14:57 EST 2007
machine                : x86_64
nr_cpus                : 2
nr_nodes               : 1
sockets_per_node       : 1
cores_per_socket       : 2
threads_per_core       : 1
cpu_mhz                : 2405
hw_caps                :
178bfbff:ebd3fbff:00000000:00000010:00002001:00000000:0000001f
total_memory           : 1022
free_memory            : 526
xen_major              : 3
xen_minor              : 1
xen_extra              : .0-rc7
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32
hvm-3.0-x86_32p hvm-3.0-x86_64 
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : unavailable
cc_compiler            : gcc version 4.1.2 20070925 (Red Hat 4.1.2-27)
cc_compile_by          : kojibuilder
cc_compile_domain      : (none)
cc_compile_date        : Mon Nov 19 07:02:09 EST 2007
xend_config_format     : 4

Xen config file (bugit):
  import os, re
  arch = os.uname()[4]
  if re.search('64', arch):
      arch_libdir = 'lib64'
  else:
      arch_libdir = 'lib'
  kernel = "/usr/lib/xen/boot/hvmloader"
  builder='hvm'
  memory = 500
  name = "bugit"
  vif = [ 'type=ioemu, bridge=xenbr0' ]
  disk = [ 'file:/xen/testb.img,hda,w',  
file:/Pictures/ISO/FC7-Live.32.iso,hdb:cdrom,r' ]
  on_poweroff = 'preserve'
  on_reboot   = 'preserve'
  on_crash    = 'preserve'
  device_model = '/usr/' + arch_libdir + '/xen/bin/qemu-dm'
  boot="dc"
  sdl=0
  vnc=1
  vncunused=1
  vncconsole=1
  vncpasswd=''
  stdvga=0
  serial='pty'



How reproducible:
Attempt to start any domU that boots from CD image.  Fails on both ISO images
and real CDROM.  Failure symptoms identical.

Steps to Reproduce:
1.  xm create bugit -c
2.
3.
  
Actual results:
boot fails and enters emergency shell

Expected results:
Fedora Live system comes up

Additional info:
See serial console log of boot and boot without quiet attachments
Comment 1 Guy Albertelli 2008-01-18 23:19:11 EST
Created attachment 292230 [details]
serial console log with boot parameter quiet
Comment 2 Guy Albertelli 2008-01-18 23:20:23 EST
Created attachment 292231 [details]
same boot without "quiet" on kernel line
Comment 3 Bug Zapper 2008-05-14 11:16:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:59:51 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.